net.snowflake.client.jdbcapi

## Class ConnectionIT

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest
    - - net.snowflake.client.jdbcapi.ConnectionIT

    public class ConnectionIT
    extends BaseJDBCTest

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`ConnectionIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `tearDown()`
`void` `testAbort()`
`void` `testConnectionClientInfo()`
`void` `testConnectionGetAndSetDBAndSchema()`
`void` `testNetworkTimeout()`
`void` `testReadOnlyConneciton()`
`void` `testSetQueryTimeoutInConnectionStr()`
`void` `testSimpleConnection()`

### Methods inherited from class net.snowflake.client.jdbcapi.BaseJDBCTest

`compareTwoLists, fetchColumnInResultSet, fetchResultSet, getConnection, getConnection, getInfoViaSQLCmd, getSFProjectRootString, getSizeOfResultSet, loadConfig`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionIT

    public ConnectionIT()

### Method Detail

#### setUp

    public void setUp()
               throws Exception

Overrides:
  `setUp` in class `AbstractDriverIT`
Throws:
  `Exception`

#### tearDown

    public void tearDown()
                  throws Exception

Overrides:
  `tearDown` in class `AbstractDriverIT`
Throws:
  `Exception`

#### testSimpleConnection

    public void testSimpleConnection()
                              throws SQLException

Throws:
  `SQLException`

#### testConnectionGetAndSetDBAndSchema

    public void testConnectionGetAndSetDBAndSchema()
                                            throws SQLException

Throws:
  `SQLException`

#### testConnectionClientInfo

    public void testConnectionClientInfo()
                                  throws SQLException

Throws:
  `SQLException`

#### testReadOnlyConneciton

    public void testReadOnlyConneciton()
                                throws SQLException

Throws:
  `SQLException`

#### testNetworkTimeout

    public void testNetworkTimeout()
                            throws SQLException

Throws:
  `SQLException`

#### testAbort

    public void testAbort()
                   throws SQLException

Throws:
  `SQLException`

#### testSetQueryTimeoutInConnectionStr

    public void testSetQueryTimeoutInConnectionStr()
                                            throws SQLException

Throws:
  `SQLException`